"""
2004. május: Személyazonosító jel
@author Klemand66
"""

from datetime import *


print("\na) feladat\n")

szj1=input("Adja meg egy személyazonosító jel első tíz jegyét! ")
szj1=szj1.strip()



print("\nb) feladat\n")

if szj1[0] in "13":
    print("A megadott személy férfi.")
elif szj1[0] in "24":
    print("A megadott személy nő.")
else:
    print("A megadott személyazonosító jel hibás.")   



print("\nc) feladat\n")

print(f'A megadott személy születési sorszáma: {szj1[7:]}')


print("\nd) feladat\n")

def szev(kod):
    ev=int(kod[1:3])
    if kod[0] in "12":
        ev+=1900    
    else:
        ev+=2000
    return ev
    
most=datetime.now()
ideiev=most.year
# vagy egyben ideiev=datetime.now().year

print(f'A megadott személynek idén a(z) {ideiev-szev(szj1)}. születésnapja van.')


print("\ne) feladat\n")

szj2=input("Kérem egy másik személyazonosító jel első tíz jegyét! ").strip()


print("\nf) feladat\n")

datum1=str(szev(szj1))+szj1[3:]
datum2=str(szev(szj2))+szj2[3:]
    
if datum1<datum2: # sztringek esetén karakterenként hasonlít, ami nekünk éppen jó
    print("Az első személy az idősebb.")
else:
    print("A második személy az idősebb.")

        
print("\ng) feladat\n")    

print(f'A két megadott személy születési éveinek különbsége: {abs(szev(szj2)-szev(szj1))}')


print("\nh) feladat\n")

s=0

for i in range(9,-1,-1):
    s+=int(szj2[i])*(10-i)
    
ell=s%11
if ell==10:
    print("Hibás a születési sorszám.")
else:
    print(f'A teljes második kód: {szj2+str(ell)}')
# A valóságban az i. jegyet i-vel szorozzák. A feladat szerint az én azonosítóm hibás lenne.


print("\ni) feladat\n")

kitxt = open("szemszam.txt","w")

kitxt.write(f'{szj1}\n')
kitxt.write(f'{szj2}\n')

kitxt.close()
print("A kiíratás és a szövegfájl lezárása sikeresen befejeződött.\n")

input("A befejezéshez nyomd meg az ENTER billentyűt!")

